/* 
 * Copyright (C) 2002 by Greg Gardner
 * 
 * This file is part of elseed, a caller-id program for your TiVo.
 * 
 * elseed is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * elseed is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA
 *
 * $Id: elseed.h,v 1.1.1.1 2002/04/15 22:24:51 greg Exp $
 */

/* set this to the correct tty for your modem */
#define MODEMDEVICE "/dev/cua1"

/* if your modem doesn't respond to this string,
 * then it probably doesn't support caller id
*/
#define MODEMINIT "AT+VCID=1\r\n"

/* nothing fancy, 9600 is fine, we're just doing caller id */
#define BAUDRATE B9600

/* may wanna write your log somewhere else.
 * if so, change it here for now
*/
#define LOG_FILE "/var/log/elcid.log"	/* log file for caller id info */

/* this is what my modem (USR 33.6) spits out for caller-id.
 * if yours does something different you wanna change this.
*/
#define CID_DATE "DATE = "
#define CID_TIME "TIME = "
#define CID_NAME "NAME = "
#define CID_NMBR "NMBR = "

/*
 * you don't wanna muck anything else below here
*/
#define SZ_BUFF 255
#define FALSE 0
#define TRUE 1

#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <sys/types.h>
#include <sys/stat.h>
#include <sys/time.h>
#include <sys/select.h>
#include <fcntl.h>
#include <termios.h>
#include <stdio.h>
#include <signal.h>
#include <time.h>

	
/* caller id structure. leave room for a null character */
typedef struct _caller_id  {
    char	date[5];	/* date - MMDD */
    char	time[5];	/* 24HR time - HHMM */
    char	name[SZ_BUFF];	/* name of person calling */
    char	nmbr[11];	/* 10 digit phone number - 8005551212 */
}  caller_id;

int parse (char *input, int len);
void save_modem_settings(int fd, struct termios *oldtio, struct termios *newtio);
int wait_for_input(int fd, int msec);
void osdit ();
void printit ();
void logit (char *logfile);
void getout (int sig);
